Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Remove upper version bounds on dependencies

This is a change in policy. From now on upper bounds will only be used
when newer versions of a dependency is known to not work.
  • Loading branch information...
commit 0a44f34d1a811b502c14c9dcd3552e154e70a5d6 1 parent 08bcf44
@tibbe authored
Showing with 17 additions and 17 deletions.
  1. +17 −17 unordered-containers.cabal
View
34 unordered-containers.cabal
@@ -36,9 +36,9 @@ library
Data.HashMap.UnsafeShift
build-depends:
- base >= 4 && < 4.7,
- deepseq >= 1.1 && < 1.4,
- hashable >= 1.0.1.1 && < 1.2
+ base >= 4 && < 5,
+ deepseq >= 1.1,
+ hashable >= 1.0.1.1
if impl(ghc < 7.4)
c-sources: cbits/popc.c
@@ -58,11 +58,11 @@ test-suite hashmap-lazy-properties
build-depends:
base,
- containers >= 0.4.1 && < 0.6,
- hashable >= 1.0.1.1 && < 1.2,
+ containers >= 0.4.1,
+ hashable >= 1.0.1.1,
QuickCheck >= 2.4.0.1,
- test-framework >= 0.3.3 && < 0.7,
- test-framework-quickcheck2 >= 0.2.9 && < 0.3,
+ test-framework >= 0.3.3,
+ test-framework-quickcheck2 >= 0.2.9,
unordered-containers
ghc-options: -Wall
@@ -75,11 +75,11 @@ test-suite hashmap-strict-properties
build-depends:
base,
- containers >= 0.4.1 && < 0.6,
- hashable >= 1.0.1.1 && < 1.2,
+ containers >= 0.4.1,
+ hashable >= 1.0.1.1,
QuickCheck >= 2.4.0.1,
- test-framework >= 0.3.3 && < 0.7,
- test-framework-quickcheck2 >= 0.2.9 && < 0.3,
+ test-framework >= 0.3.3,
+ test-framework-quickcheck2 >= 0.2.9,
unordered-containers
ghc-options: -Wall
@@ -92,11 +92,11 @@ test-suite hashset-properties
build-depends:
base,
- containers >= 0.4.2 && < 0.6,
- hashable >= 1.0.1.1 && < 1.2,
+ containers >= 0.4.2,
+ hashable >= 1.0.1.1,
QuickCheck >= 2.4.0.1,
- test-framework >= 0.3.3 && < 0.7,
- test-framework-quickcheck2 >= 0.2.9 && < 0.3,
+ test-framework >= 0.3.3,
+ test-framework-quickcheck2 >= 0.2.9,
unordered-containers
ghc-options: -Wall
@@ -109,9 +109,9 @@ test-suite regressions
build-depends:
base,
- hashable >= 1.0.1.1 && < 1.2,
+ hashable >= 1.0.1.1,
HUnit,
- test-framework >= 0.3.3 && < 0.7,
+ test-framework >= 0.3.3,
test-framework-hunit,
unordered-containers
Please sign in to comment.
Something went wrong with that request. Please try again.